Package Details: python-numpy-mkl 1.26.4-1

Git Clone URL: https://aur.archlinux.org/python-numpy-mkl.git (read-only, click to copy)
Package Base: python-numpy-mkl
Description: Scientific tools for Python, compiled with Intel MKL
Upstream URL: http://www.numpy.org/
Keywords: numpy
Licenses: custom
Conflicts: python-numpy
Provides: python-numpy
Submitter: bred
Maintainer: petronny (AutoUpdateBot)
Last Packager: AutoUpdateBot
Votes: 38
Popularity: 0.000000
First Submitted: 2012-08-25 16:55 (UTC)
Last Updated: 2024-02-06 08:01 (UTC)

Required by (1766)

Sources (1)

Pinned Comments

petronny commented on 2022-09-28 08:28 (UTC)

Prebuilt binaries of this package can be found in arch4edu.

Latest Comments

1 2 3 4 5 6 .. 8 Next › Last »

hel commented on 2023-12-16 23:56 (UTC)

intel-oneapi-mkl is mentioned as dependency but this package does not contain the required opt/intel/oneapi/setvars.sh, which is provided by intel-oneapi-basekit or intel-oneapi-common

daizhirui commented on 2023-10-08 11:41 (UTC) (edited on 2023-12-17 00:52 (UTC) by daizhirui)

Update:

to fix this issue, make sure /opt/intel/oneapi/mkl/latest/lib/intel64 is in LD_LIBRARY_PATH.

I have the issue of loading MKL in a fresh new build.

Python 3.11.5 (main, Sep  2 2023, 14:16:33) [GCC 13.2.1 20230801] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/numpy/core/__init__.py", line 24, in <module>
    from . import multiarray
  File "/usr/lib/python3.11/site-packages/numpy/core/multiarray.py", line 10, in <module>
    from . import overrides
  File "/usr/lib/python3.11/site-packages/numpy/core/overrides.py", line 8, in <module>
    from numpy.core._multiarray_umath import (
ImportError: libmkl_intel_lp64.so.2: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/numpy/__init__.py", line 130, in <module>
    from numpy.__config__ import show as show_config
  File "/usr/lib/python3.11/site-packages/numpy/__config__.py", line 4, in <module>
    from numpy.core._multiarray_umath import (
  File "/usr/lib/python3.11/site-packages/numpy/core/__init__.py", line 50, in <module>
    raise ImportError(msg)
ImportError: 

IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!

Importing the numpy C-extensions failed. This error can happen for
many reasons, often due to issues with your setup or how NumPy was
installed.

We have compiled some common reasons and troubleshooting tips at:

    https://numpy.org/devdocs/user/troubleshooting-importerror.html

Please note and check the following:

  * The Python version is: Python3.11 from "/usr/bin/python"
  * The NumPy version is: "1.26.0"

and make sure that they are the versions you expect.
Please carefully study the documentation linked above for further help.

Original error was: libmkl_intel_lp64.so.2: cannot open shared object file: No such file or directory


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.11/site-packages/numpy/__init__.py", line 135, in <module>
    raise ImportError(msg) from e
ImportError: Error importing numpy: you should not try to import numpy from
        its source directory; please exit the numpy source tree, and relaunch
        your python interpreter from there.

MartinDiehl commented on 2023-09-26 22:34 (UTC)

would it be possible to update the build instructions to those in the regular numpy package? There is a recent update that solves an issue with python-statsmodels and it does not rely on setup.py

petronny commented on 2023-08-21 11:34 (UTC)

I'm not sure if this is the cause to the difference but extra-x86_64-build will call makechrootpkg using configurations under /usr/share/devtools.

kbipinkumar commented on 2023-08-21 10:40 (UTC)

@petronny thanks for the response. is there any difference between building with makechrootpkg -c -r $CHROOT and extra-x86_64-build? becase thats the only thing that i am doing differently.

petronny commented on 2023-08-21 06:31 (UTC)

MKL detection works fine in a fresh new build with extra-x86_64-build and https://github.com/arch4edu/cactus/actions/runs/5721640576/job/15503541160 .

INFO: blas_mkl_info:
INFO:   FOUND:
INFO:     libraries = ['mkl_rt', 'pthread']
INFO:     library_dirs = ['/opt/intel/oneapi/mkl/2023.1.0/lib/intel64']
INFO:     define_macros = [('SCIPY_MKL_H', None), ('HAVE_CBLAS', None)]
INFO:     include_dirs = ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO: 
INFO:   FOUND:
INFO:     libraries = ['mkl_rt', 'pthread']
INFO:     library_dirs = ['/opt/intel/oneapi/mkl/2023.1.0/lib/intel64']
INFO:     define_macros = [('SCIPY_MKL_H', None), ('HAVE_CBLAS', None)]
INFO:     include_dirs = ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO: 
non-existing path in 'numpy/distutils': 'site.cfg'
INFO: lapack_opt_info:
INFO: lapack_armpl_info:
INFO:   libraries armpl_lp64_mp not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: lapack_mkl_info:
INFO:   FOUND:
INFO:     libraries = ['mkl_rt', 'pthread']
INFO:     library_dirs = ['/opt/intel/oneapi/mkl/2023.1.0/lib/intel64']
INFO:     define_macros = [('SCIPY_MKL_H', None), ('HAVE_CBLAS', None)]
INFO:     include_dirs = ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO: 
INFO:   FOUND:
INFO:     libraries = ['mkl_rt', 'pthread']
INFO:     library_dirs = ['/opt/intel/oneapi/mkl/2023.1.0/lib/intel64']
INFO:     define_macros = [('SCIPY_MKL_H', None), ('HAVE_CBLAS', None)]
INFO:     include_dirs = ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO: 
Warning: attempted relative import with no known parent package

kbipinkumar commented on 2023-08-20 18:05 (UTC) (edited on 2023-08-20 18:08 (UTC) by kbipinkumar)

while building package in clean chroot with this PKGBUILD i am getting following output in build log. it seems mkl libraries despite being installed is not detected. complete log can be seen here

Cythonizing sources
INFO: blas_opt_info:
INFO: blas_armpl_info:
INFO: customize UnixCCompiler
INFO:   libraries armpl_lp64_mp not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: blas_mkl_info:
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:934: UserWarning: Specified path /opt/intel/oneapi/mkl/2023.1.0/lib/32 is invalid.
  return self.get_paths(self.section, key)
INFO:   libraries mkl_rt not found in ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO:   NOT AVAILABLE
INFO: 
INFO: blas_ssl2_info:
INFO:   libraries fjlapackexsve not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: blis_info:
INFO:   libraries blis not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: openblas_info:
INFO:   libraries openblas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: accelerate_info:
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_3_10_blas_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO:   libraries tatlas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_3_10_blas_info:
INFO:   libraries satlas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_blas_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO:   libraries ptf77blas,ptcblas,atlas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_blas_info:
INFO:   libraries f77blas,cblas,atlas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:2154: UserWarning: 
    Optimized (vendor) Blas libraries are not found.
    Falls back to netlib Blas library which has worse performance.
    A better performance should be easily gained by switching
    Blas library.
  if self._calc_info(blas):
INFO: blas_info:
INFO:   libraries blas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:2154: UserWarning: 
    Blas (http://www.netlib.org/blas/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [blas]) or by setting
    the BLAS environment variable.
  if self._calc_info(blas):
INFO: blas_src_info:
INFO:   NOT AVAILABLE
INFO: 
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:2154: UserWarning: 
    Blas (http://www.netlib.org/blas/) sources not found.
    Directories to search for the sources can be specified in the
    numpy/distutils/site.cfg file (section [blas_src]) or by setting
    the BLAS_SRC environment variable.
  if self._calc_info(blas):
INFO:   NOT AVAILABLE
INFO: 
non-existing path in 'numpy/distutils': 'site.cfg'
INFO: lapack_opt_info:
INFO: lapack_armpl_info:
INFO:   libraries armpl_lp64_mp not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: lapack_mkl_info:
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:934: UserWarning: Specified path /opt/intel/oneapi/mkl/2023.1.0/lib/32 is invalid.
  return self.get_paths(self.section, key)
INFO:   libraries mkl_rt not found in ['/opt/intel/oneapi/mkl/2023.1.0', '/opt/intel/oneapi/mkl/2023.1.0/include', '/opt/intel/oneapi/mkl/2023.1.0/lib']
INFO:   NOT AVAILABLE
INFO: 
INFO: lapack_ssl2_info:
INFO:   libraries fjlapackexsve not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: openblas_lapack_info:
INFO:   libraries openblas not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: openblas_clapack_info:
INFO:   libraries openblas,lapack not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: flame_info:
INFO:   libraries flame not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_3_10_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO:   libraries tatlas,tatlas not found in /usr/local/lib
INFO:   libraries tatlas,tatlas not found in /usr/lib64
INFO:   libraries tatlas,tatlas not found in /usr/lib
INFO:   libraries tatlas,tatlas not found in /usr/lib/
INFO: <class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_3_10_info:
INFO:   libraries satlas,satlas not found in /usr/local/lib
INFO:   libraries satlas,satlas not found in /usr/lib64
INFO:   libraries satlas,satlas not found in /usr/lib
INFO:   libraries satlas,satlas not found in /usr/lib/
INFO: <class 'numpy.distutils.system_info.atlas_3_10_info'>
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_threads_info:
INFO: Setting PTATLAS=ATLAS
INFO:   libraries ptf77blas,ptcblas,atlas not found in /usr/local/lib
INFO:   libraries ptf77blas,ptcblas,atlas not found in /usr/lib64
INFO:   libraries ptf77blas,ptcblas,atlas not found in /usr/lib
INFO:   libraries ptf77blas,ptcblas,atlas not found in /usr/lib/
INFO: <class 'numpy.distutils.system_info.atlas_threads_info'>
INFO:   NOT AVAILABLE
INFO: 
INFO: atlas_info:
INFO:   libraries f77blas,cblas,atlas not found in /usr/local/lib
INFO:   libraries f77blas,cblas,atlas not found in /usr/lib64
INFO:   libraries f77blas,cblas,atlas not found in /usr/lib
INFO:   libraries f77blas,cblas,atlas not found in /usr/lib/
INFO: <class 'numpy.distutils.system_info.atlas_info'>
INFO:   NOT AVAILABLE
INFO: 
INFO: lapack_info:
INFO:   libraries lapack not found in ['/usr/local/lib', '/usr/lib64', '/usr/lib', '/usr/lib/']
INFO:   NOT AVAILABLE
INFO: 
/build/python-numpy-mkl/src/numpy-1.25.2/numpy/distutils/system_info.py:1972: UserWarning: 
    Lapack (http://www.netlib.org/lapack/) libraries not found.
    Directories to search for the libraries can be specified in the
    numpy/distutils/site.cfg file (section [lapack]) or by setting
    the LAPACK environment variable.
  return getattr(self, '_calc_info_{}'.format(name))()
INFO: lapack_src_info:
INFO:   NOT AVAILABLE

petronny commented on 2022-09-28 08:28 (UTC)

Prebuilt binaries of this package can be found in arch4edu.

4rozenwolves commented on 2022-04-08 12:14 (UTC) (edited on 2022-04-08 12:15 (UTC) by 4rozenwolves)

I made an updated python-numpy-mkl and python-scipy-mkl that uses intel-oneapi-mkl.

Be sure to install the updated oneapi packages from https://github.com/huyz-git/intel-oneapi-aur since the current intel-oneapi-mkl cannot be installed with packages from AUR.

xuanruiqi commented on 2020-12-04 15:34 (UTC)

The bugs are fixed. This was due to hard-coded path in check(), and Python in the official repos has been updated to 3.9.

For scipy, I think you have to use python-scipy-mkl...